Package org.openni

# Class VideoStream.CameraSettings

java.lang.Object
org.openni.VideoStream.CameraSettings

Enclosing class:
  `VideoStream`

public class VideoStream.CameraSettings extends Object
The `VideoStream.CameraSettings` object encapsulates camera setting for a single device. Once created, it is used to get and set auto exposure and auto white balance modes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAutoExposureEnabled()`
Set Auto Exposure Enabled for corresponding sensor
`boolean`
`getAutoWhiteBalanceEnabled()`
Set Auto White Balance Enabled for corresponding sensor
`void`
`setAutoExposureEnabled(boolean enabled)`
Set Auto Exposure Enabled for corresponding sensor
`void`
`setAutoWhiteBalanceEnabled(boolean enabled)`
Set Auto White Balance for corresponding sensor

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### setAutoExposureEnabled

public void setAutoExposureEnabled(boolean enabled)
Set Auto Exposure Enabled for corresponding sensor

Parameters:
  `enabled` - boolean value for set and unset auto exposure mode

### setAutoWhiteBalanceEnabled

public void setAutoWhiteBalanceEnabled(boolean enabled)
Set Auto White Balance for corresponding sensor

Parameters:
  `enabled` - boolean value for set and unset auto white balance mode

### getAutoExposureEnabled

public boolean getAutoExposureEnabled()
Set Auto Exposure Enabled for corresponding sensor

Returns:
  enabled boolean value which define auto exposure mode state

### getAutoWhiteBalanceEnabled

public boolean getAutoWhiteBalanceEnabled()
Set Auto White Balance Enabled for corresponding sensor

Returns:
  enabled boolean value which define auto white balance mode state